Subject: 23.1; "No fileset is available here"

From: Tom Tromey <[email-masked]>
Date: Wed, 04 Nov 2009 12:18:46 -0700

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I modified a file in a git-managed directory.
Then I typed `C-x v ='.
I got an error: "No fileset is available here".
However, if I switch to another buffer visiting a (modified) file in
that same directory, `C-x v =' works just fine.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.6)
 of 2009-09-29 on x86-7.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10603901
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Diff

Minor modes in effect:
  vc-parent-buffer: dwarf2read.c<archer>
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
n k i n g SPC t o o SPC s o u n d l y , SPC I S-SPC 
s u p p o s e , SPC w h e n SPC I SPC n u k e d SPC 
t h i s . <return> Y <backspace> I SPC t h i n k SPC 
y o u r SPC p o i n t SPC i s SPC a SPC g o o d SPC 
o n e . SPC S-SPC I f SPC y o u ' d SPC p r e f e r 
, SPC I S-SPC w i l l SPC l e a v e SPC t h i s SPC 
s t a t i c SPC a n d SPC j u s t SPC z e r o SPC o 
u t SPC t h a t SPC f i e l d . C-p C-p C-a C-u C-n 
C-SPC C-u C-n C-u C-n C-u C-n C-p C-n C-w C-p C-p C-e 
SPC S-SPC I SPC <M-backspace> M-q C-c C-c M S-SPC q 
s z C-c b C-p C-p M-f M-f M-b l <backspace> n a m e 
l M-/ SPC ! = SPC - 1 SPC & & S-SPC C-a C-u C-n C-u 
C-n C-l C-u C-p C-u C-p C-s n a m e l e n g t h C-a 
C-x C-s C-x v = C-x v = C-p C-n C-f C-p C-f C-e C-a 
C-x v = C-x s C-x C-f C-g C-x C-f d w <tab> r <tab> 
<return> C-x v = C-x b C-a <return> C-x v = C-x o C-x 
v = C-z o C-z o M-x r e p o r t - e m <tab> <return> 
b <tab> <return>

Recent messages:
Saving file /home/tromey/gnu/archer/archer/gdb/psymtab.c...
Wrote /home/tromey/gnu/archer/archer/gdb/psymtab.c
vc-deduce-fileset: No fileset is available here. [3 times]
(No files need saving)
Quit
Finding changes in /home/tromey/gnu/archer/archer/gdb/dwarf2read.c...done
Quit
vc-deduce-fileset: No fileset is available here.
Finding changes in /home/tromey/gnu/archer/archer/gdb/dwarf2read.c...done
Making completion list...

Tom